curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}Delete member
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Soft-deletes a member and all their associated cards within the program. The program must exist. Returns the deleted member’s data.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier
Unique member identifier
Response
Member deleted successfully
Unique member identifier
Associated customer identifier
Program the member belongs to
Current member status
ACTIVE, INACTIVE, DELETED Custom key-value metadata
ISO 8601 creation timestamp
ISO 8601 last update timestamp
"member"Was this page helpful?

